Upstream information

CVE-2017-9501 at MITRE

Description

In ImageMagick 7.0.5-7 Q16, an assertion failure was found in the function LockSemaphoreInfo, which allows attackers to cause a denial of service via a crafted file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 4.3
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
SUSE Bugzilla entries: 1043289 [RESOLVED], 1053919 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-71.5.3
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.5.3
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1343
SUSE Linux Enterprise Desktop 12 SP3
  • ImageMagick >= 6.8.8.1-71.5.3
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.5.3
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1343
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-7.78.5.2
  • libMagickCore1 >= 6.4.3.6-7.78.5.2
  • libMagickCore1-32bit >= 6.4.3.6-7.78.5.2
Patchnames:
slessp4-ImageMagick-13232
SUSE Linux Enterprise Server 12 SP2
  • ImageMagick >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.5.3
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1343
SUSE Linux Enterprise Server 12 SP3
  • ImageMagick >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.5.3
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1343
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ImageMagick >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.5.3
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1343
SUSE Linux Enterprise Software Development Kit 11 SP4
  • GraphicsMagick >= 1.2.5-4.78.9.1
  • ImageMagick >= 6.4.3.6-7.78.5.2
  • ImageMagick-devel >= 6.4.3.6-7.78.5.2
  • libGraphicsMagick2 >= 1.2.5-4.78.9.1
  • libMagick++-devel >= 6.4.3.6-7.78.5.2
  • libMagick++1 >= 6.4.3.6-7.78.5.2
  • libMagickWand1 >= 6.4.3.6-7.78.5.2
  • libMagickWand1-32bit >= 6.4.3.6-7.78.5.2
  • perl-GraphicsMagick >= 1.2.5-4.78.9.1
  • perl-PerlMagick >= 6.4.3.6-7.78.5.2
Patchnames:
sdksp4-GraphicsMagick-13236
sdksp4-ImageMagick-13232
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-71.5.3
  • ImageMagick-devel >= 6.8.8.1-71.5.3
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.5.3
  • libMagick++-devel >= 6.8.8.1-71.5.3
  • perl-PerlMagick >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1343
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ImageMagick >= 6.8.8.1-71.5.3
  • ImageMagick-devel >= 6.8.8.1-71.5.3
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.5.3
  • libMagick++-devel >= 6.8.8.1-71.5.3
  • perl-PerlMagick >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1343
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-71.5.3
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-WE-12-SP2-2017-1343
SUSE Linux Enterprise Workstation Extension 12 SP3
  • ImageMagick >= 6.8.8.1-71.5.3
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.5.3
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.5.3
Patchnames:
SUSE-SLE-WE-12-SP3-2017-1343
SUSE Studio Onsite 1.3
  • GraphicsMagick >= 1.2.5-4.78.9.1
  • libGraphicsMagick2 >= 1.2.5-4.78.9.1
Patchnames:
slestso13-GraphicsMagick-13236
openSUSE Leap 42.2
  • ImageMagick >= 6.8.8.1-30.6.1
  • ImageMagick-debuginfo >= 6.8.8.1-30.6.1
  • ImageMagick-debugsource >= 6.8.8.1-30.6.1
  • ImageMagick-devel >= 6.8.8.1-30.6.1
  • ImageMagick-devel-32bit >= 6.8.8.1-30.6.1
  • ImageMagick-doc >= 6.8.8.1-30.6.1
  • ImageMagick-extra >= 6.8.8.1-30.6.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-30.6.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.6.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-30.6.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-30.6.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-30.6.1
  • libMagick++-devel >= 6.8.8.1-30.6.1
  • libMagick++-devel-32bit >= 6.8.8.1-30.6.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.6.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.6.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-30.6.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.6.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.6.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-30.6.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-30.6.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.6.1
  • perl-PerlMagick >= 6.8.8.1-30.6.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-30.6.1
Patchnames:
openSUSE-2017-971
openSUSE Leap 42.3
  • ImageMagick >= 6.8.8.1-34.1
  • ImageMagick-debuginfo >= 6.8.8.1-34.1
  • ImageMagick-debugsource >= 6.8.8.1-34.1
  • ImageMagick-devel >= 6.8.8.1-34.1
  • ImageMagick-devel-32bit >= 6.8.8.1-34.1
  • ImageMagick-doc >= 6.8.8.1-34.1
  • ImageMagick-extra >= 6.8.8.1-34.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-34.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-34.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-34.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-34.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-34.1
  • libMagick++-devel >= 6.8.8.1-34.1
  • libMagick++-devel-32bit >= 6.8.8.1-34.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-34.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-34.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-34.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-34.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-34.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-34.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-34.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-34.1
  • perl-PerlMagick >= 6.8.8.1-34.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-34.1
Patchnames:
openSUSE-2017-971


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Released
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Released
SUSE Linux Enterprise SDK 11 SP4 ImageMagick Released
SUSE Linux Enterprise SDK 12 SP2 ImageMagick Released
SUSE Linux Enterprise SDK 12 SP3 ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Released
SUSE Linux Enterprise Server 12 GA ImageMagick Affected
SUSE Linux Enterprise Server 12 SP1 ImageMagick Affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry Pi ImageMagick Released
SUSE Linux Enterprise Server 12 SP3 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP2 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Released